# class Tk::BWidget::ScrolledWindow

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

get_frame(&b) click to toggle source

    # File lib/tkextlib/bwidget/scrolledwindow.rb, line 33
    def get_frame(&b)
      win = window(tk_send_without_enc('getframe'))
      if b
        if TkCore::WITH_RUBY_VM  ### Ruby 1.9 !!!!
          win.instance_exec(self, &b)
        else
          win.instance_eval(&b)
        end
      end
      win
    end

set_widget(win) click to toggle source

    # File lib/tkextlib/bwidget/scrolledwindow.rb, line 45
    def set_widget(win)
      tk_send_without_enc('setwidget', win)
      self
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/bwidget/scrolledwindow.rb, line 28
    def __boolval_optkeys
      super() << 'managed'
    end

__strval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/bwidget/scrolledwindow.rb, line 23
    def __strval_optkeys
      super() << 'sides'
    end